#SUMMON MARKER FOR GUN DETECTION

summon minecraft:marker ^ ^-0.5 ^2 {Tags: ["kill","gun","new"]}

#scoreboard players operation @e[type=marker,tag=gun,tag=new] yaw = @s yaw
#
##ROLL BULLET AROUND WINGS
#
#execute as @e[type=marker,tag=gun,tag=new] store result entity @s Rotation[0] float 1 run scoreboard players get @s yaw
#execute as @e[type=marker,tag=gun,tag=new] at @s run function winged:aircrafts/hitbox/rotate_roll

tag @e[type=marker,tag=gun] remove new

#ACTION ON GUN MARKER

execute as @e[type=marker,tag=gun] at @s run summon snowball ~ ~ ~ {NoGravity:1b,Passengers:[{id:"minecraft:area_effect_cloud",Age:-2147483648,Duration:-1,WaitTime:-2147483648,Tags:["bullet_land","new","kill","chicken","rider"]}],Tags:["feather_clump","bullet","new"],Item:{id:"minecraft:white_wool",Count:1b}}

summon marker ^ ^ ^60 {Tags:["feather_clump","bullet","vector","new"]}
scoreboard players remove @s[scores={ammo=1..}] ammo 1

execute if score @s ammo matches ..0 run function winged:aircrafts/bullets/reload

#LIFE OF BULLET

scoreboard players operation @e[type=snowball,tag=bullet,tag=new] distance = @s fire_rate
scoreboard players operation @e[type=snowball,tag=bullet,tag=new] distance *= #2 Data

#DAMAGE OF A BULLET

scoreboard players set @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=chicken] damage 500

#PUT TEAM TO BULLET_LAND & OWNER

execute as @e[type=area_effect_cloud,tag=bullet_land,tag=new] run data modify entity @s Owner set from entity @p[predicate=winged:if_in_aircraft] UUID
execute if entity @s[tag=team.lime] run tag @e[type=area_effect_cloud,tag=bullet_land,tag=new] add team.lime
execute if entity @s[tag=team.yellow] run tag @e[type=area_effect_cloud,tag=bullet_land,tag=new] add team.yellow
tag @e[type=area_effect_cloud,tag=bullet_land] remove new

#PUT TEAM TO BULLET

execute if entity @s[tag=team.lime] run tag @e[type=snowball,tag=bullet,tag=new] add team.lime
execute if entity @s[tag=team.yellow] run tag @e[type=snowball,tag=bullet,tag=new] add team.yellow

#MOTION TO A BULLET

execute as @e[type=snowball,tag=bullet,tag=new] at @s run function winged:aircrafts/bullets/motion

#COSMETICS

execute at @e[type=marker,tag=gun] run playsound winged:hotchick.shoot hostile @a ~ ~ ~ 1 1

#KILL VECTOR MARKER

kill @e[type=marker,tag=kill]
kill @e[type=marker,tag=new]

scoreboard players reset @s fire_rate