#SUMMON MARKER FOR GUN DETECTION

summon minecraft:marker ^ ^-1.5 ^2.2 {Tags: ["kill","gun","new"]}

tag @e[type=marker,tag=gun] remove new

#ACTION ON GUN MARKER

execute as @e[type=marker,tag=gun] at @s run summon snowball ~ ~ ~ {Passengers:[{id:"minecraft:area_effect_cloud",Age:-2147483648,Duration:-1,WaitTime:-2147483648,Tags:["bullet_land","new","kill","shark","rider"]}],Tags:["water_bullet","bullet","new"],Item:{id:"minecraft:cyan_concrete",Count:1b}}

scoreboard players operation @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=shark] x_calc_motion = @s x_motion
scoreboard players operation @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=shark] y_calc_motion = @s y_motion
scoreboard players operation @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=shark] z_calc_motion = @s z_motion

scoreboard players operation @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=shark] x_calc_motion *= #2 Data
scoreboard players operation @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=shark] y_calc_motion *= #2 Data
scoreboard players operation @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=shark] z_calc_motion *= #2 Data

execute if score @p[predicate=winged:if_in_aircraft] right_click matches 1..3 run summon marker ^ ^ ^10 {Tags:["water_bullet","bullet","vector","new"]}
execute if score @p[predicate=winged:if_in_aircraft] right_click matches 4..6 run summon marker ^ ^ ^20 {Tags:["water_bullet","bullet","vector","new"]}
execute if score @p[predicate=winged:if_in_aircraft] right_click matches 7..10 run summon marker ^ ^ ^30 {Tags:["water_bullet","bullet","vector","new"]}
execute if score @p[predicate=winged:if_in_aircraft] right_click matches 10..13 run summon marker ^ ^ ^35 {Tags:["water_bullet","bullet","vector","new"]}
execute if score @p[predicate=winged:if_in_aircraft] right_click matches 13..16 run summon marker ^ ^ ^40 {Tags:["water_bullet","bullet","vector","new"]}
execute if score @p[predicate=winged:if_in_aircraft] right_click matches 17.. run summon marker ^ ^ ^45 {Tags:["water_bullet","bullet","vector","new"]}

scoreboard players remove @s[scores={ammo=1..}] ammo 1

execute if score @s ammo matches ..0 run function winged:aircrafts/bullets/reload

#LIFE OF BULLET

scoreboard players set @e[type=snowball,tag=bullet,tag=new] distance 20

#DAMAGE OF A BULLET

scoreboard players set @e[type=area_effect_cloud,tag=bullet_land,tag=new,tag=shark] damage 50

#PUT TEAM TO BULLET_LAND & OWNER

execute as @e[type=area_effect_cloud,tag=bullet_land,tag=new] run data modify entity @s Owner set from entity @p[predicate=winged:if_in_aircraft] UUID
execute if entity @s[tag=team.lime] run tag @e[type=area_effect_cloud,tag=bullet_land,tag=new] add team.lime
execute if entity @s[tag=team.yellow] run tag @e[type=area_effect_cloud,tag=bullet_land,tag=new] add team.yellow
tag @e[type=area_effect_cloud,tag=bullet_land] remove new

#PUT TEAM TO BULLET

execute if entity @s[tag=team.lime] run tag @e[type=snowball,tag=bullet,tag=new] add team.lime
execute if entity @s[tag=team.yellow] run tag @e[type=snowball,tag=bullet,tag=new] add team.yellow

#GUN SPREAD

scoreboard players set in math -1
scoreboard players set in1 math 1
function math:rng/range
execute as @e[type=marker,tag=vector,tag=new,tag=bullet] run scoreboard players operation @s vx = out math
function math:rng/range
execute as @e[type=marker,tag=vector,tag=new,tag=bullet] run scoreboard players operation @s vy = out math
function math:rng/range
execute as @e[type=marker,tag=vector,tag=new,tag=bullet] run scoreboard players operation @s vz = out math
execute as @e[type=marker,tag=vector,tag=new,tag=bullet] at @s run function winged:generic/offset2

execute as @e[type=snowball,tag=bullet,tag=new] at @s run function winged:aircrafts/bullets/motion

#COSMETICS

execute at @e[type=marker,tag=gun] run playsound winged:spitwater.shoot hostile @a ~ ~ ~ 1 1
#execute at @e[type=marker,tag=gun] run playsound entity.generic.splash neutral @a ~ ~ ~ 0.1 2
execute at @e[type=marker,tag=gun] run particle block water ~ ~ ~ 0 0 0 1 5 force @a

#KILL VECTOR MARKER

kill @e[type=marker,tag=kill]
kill @e[type=marker,tag=new]

