#SET CALC_MOTION BACK TO ORIGINAL VALUE

scoreboard players operation @s x_calc_motion = @s x_motion
scoreboard players operation @s z_calc_motion = @s z_motion

#AIRCRAFT FUNCTION CALLS

execute as @s[tag=pig] run function winged:aircrafts/mains/pork_chopper

#RELOAD FUNCTION

execute if score @s reload matches 1.. run function winged:aircrafts/bullets/reload

execute if block ~ ~ ~ water run function winged:aircrafts/died_in_water
execute if block ~ ~-0.01 ~ dirt_path run tp @s ~ ~0.01 ~

#MAIN PLANE MECHANICS

summon marker ^ ^3 ^ {Tags:["vector"]}
execute store result entity @e[type=marker,tag=vector,limit=1,sort=nearest] Rotation[0] float 1 run scoreboard players get @s yaw
scoreboard players operation @e[type=marker,tag=vector] roll = @s roll
scoreboard players operation @e[type=marker,tag=vector] roll /= #50 Data
execute as @e[type=marker,tag=vector] at @s run function winged:generic/roll_offset

#STORE COORDINATES MARKER

execute positioned ^ ^ ^2 as @e[type=marker,tag=vector,sort=nearest,limit=1] store result score @s x run data get entity @s Pos[0] 1000
execute positioned ^ ^ ^2 as @e[type=marker,tag=vector,sort=nearest,limit=1] store result score @s z run data get entity @s Pos[2] 1000

#STORE COORDINATES ARMORSTAND

execute store result score @s x run data get entity @s Pos[0] 1000
execute store result score @s z run data get entity @s Pos[2] 1000

#SUBSTITUTE COORDINATES

execute positioned ^ ^ ^2 store result score @s x_calc_motion run scoreboard players operation @e[type=marker,tag=vector,limit=1,sort=nearest] x -= @s x
execute positioned ^ ^ ^2 store result score @s z_calc_motion run scoreboard players operation @e[type=marker,tag=vector,limit=1,sort=nearest] z -= @s z

#STORE VALUE

scoreboard players operation @s x_motion = @s x_calc_motion
scoreboard players operation @s z_motion = @s z_calc_motion

###SPEED DATAPACK###

function winged:aircrafts/speed

###SPEED DATAPACK###


#PLANE SPEED CALC_MOTION = AIRCRAFT SPEED % OF MOTION

scoreboard players operation @s x_calc_motion *= @s throttle
scoreboard players operation @s y_calc_motion = @s throttle
scoreboard players operation @s y_calc_motion -= #50 Data
scoreboard players operation @s y_calc_motion += @s gravity
scoreboard players operation @s z_calc_motion *= @s throttle

scoreboard players operation @s x_calc_motion /= #4 Data
scoreboard players operation @s y_calc_motion *= #400 Data
scoreboard players operation #pitch_to_y pitch = @s pitch
scoreboard players operation #pitch_to_y pitch *= #50 Data
execute if score #pitch_to_y pitch matches 1.. run scoreboard players operation @s y_calc_motion -= #pitch_to_y pitch
execute if score #pitch_to_y pitch matches ..-1 run scoreboard players operation @s y_calc_motion += #pitch_to_y pitch
scoreboard players operation #roll_to_y roll = @s roll
scoreboard players operation #roll_to_y roll *= #20 Data
execute if score #roll_to_y roll matches 1.. run scoreboard players operation @s y_calc_motion -= #roll_to_y roll
execute if score #roll_to_y roll matches ..-1 run scoreboard players operation @s y_calc_motion += #roll_to_y roll
scoreboard players operation @s z_calc_motion /= #4 Data

#HITBOX

function winged:aircrafts/hitbox/aircraft

#KEEP PITCH IN PLACE AND MAX VALUE AT GROUND

execute unless score @s dest_pitch matches 0 run scoreboard players set @s[nbt={OnGround:1b}] dest_pitch 0
execute store result entity @s Rotation[1] float 0.1 run scoreboard players get @s pitch
execute store result entity @s Rotation[0] float 1 run scoreboard players get @s yaw

#GET YAW & PITCH DEST FROM PLAYER

execute if entity @p[predicate=winged:if_in_aircraft] store result score @s[predicate=winged:if_aircraft_has_driver] dest_yaw run data get entity @p[predicate=winged:if_in_aircraft] Rotation[0]
execute if entity @p[predicate=winged:if_in_aircraft] store result score @s[nbt={OnGround:0b},predicate=winged:if_aircraft_has_driver] dest_pitch run data get entity @p[predicate=winged:if_in_aircraft] Rotation[1] 10

#SMOOTH ROTATION AND ROLL

execute unless entity @s[scores={diff_yaw=0,diff_pitch=0}] run function winged:aircrafts/mechanics/planes/smooth_rotation
#BACKROLL WHEN PLANE ALIGNS WITH PLAYER
execute unless score @s roll matches 0 as @s[scores={diff_yaw=0}] run function winged:aircrafts/mechanics/planes/backroll
tag @s remove rolling
#BACKROLL WHEN PLANE PITCH IS NOT +-450*
execute unless score @s roll matches 0 unless entity @s[scores={pitch=-450..450}] run function winged:aircrafts/mechanics/planes/backroll
#ROLL NOT ACTIVE ON GROUND
execute unless score @s roll matches 0 unless entity @s[scores={diff_yaw=0,diff_pitch=0}] as @s[nbt={OnGround:1b}] run function winged:aircrafts/mechanics/planes/backroll

#SOLVE OVERFLOW FOR YAW

scoreboard players set @s[scores={yaw=181..}] yaw -179
scoreboard players set @s[scores={yaw=..-180}] yaw 180

#COUNT DIFFERENCE IN YAW & PITCH

scoreboard players operation @s diff_yaw = @s dest_yaw
scoreboard players operation @s diff_yaw -= @s yaw
scoreboard players operation @s diff_pitch = @s dest_pitch
scoreboard players operation @s diff_pitch -= @s pitch

#SET VISUAL ROTATION FOR PLANE

execute store result entity @s Rotation[0] float 1 run scoreboard players get @s yaw
execute store result entity @s Pose.Head[0] float 0.1 run scoreboard players get @s pitch
execute store result entity @s Pose.Head[2] float 0.1 run scoreboard players get @s roll

#APPLY MOTION

function winged:aircrafts/mechanics/aircrafts/apply_motion/compare_motions

#SET AIRCRAFT SPEED = SPEED / 5

scoreboard players operation @s aircraft_speed = @s speed
scoreboard players operation @s aircraft_speed /= #5 Data
execute if entity @s[predicate=winged:if_aircraft_has_driver,scores={reload=0}] run title @p[predicate=winged:if_in_aircraft] actionbar [{"text":"§4❤§f "},{"score":{"name":"@s","objective":"aircraft_health"}},{"text":"    §2➹§f "},{"score":{"name":"@s","objective":"ammo"}},{"translate":"space.100"},{"text":"§6☄§f "},{"score":{"name":"@s","objective":"aircraft_speed"}},{"text":"    §8✣§f "},{"score":{"name":"@s","objective":"throttle"}}]

#KILL MARKER

kill @e[type=marker,tag=vector]

scoreboard players remove @s[scores={throttle=..0,gravity=..0},nbt={OnGround:0b}] gravity 3
scoreboard players add @s[scores={throttle=1..,gravity=..-1},nbt={OnGround:0b}] gravity 3