#REFRESH BUILDING MARKER
    kill @e[type=snowball,tag=building_health_mark]
    function winged:buildings/update_health

#Update Health
    execute if score .updateID islands matches 0 run scoreboard players operation .limeBase islands -= .updateValue islands
    execute if score .updateID islands matches 1 run scoreboard players operation .limeTower islands -= .updateValue islands
    execute if score .updateID islands matches 2 run scoreboard players operation .limeVan islands -= .updateValue islands
    execute if score .updateID islands matches 3 run scoreboard players operation .yellowBase islands -= .updateValue islands
    execute if score .updateID islands matches 4 run scoreboard players operation .yellowTower islands -= .updateValue islands
    execute if score .updateID islands matches 5 run scoreboard players operation .yellowVan islands -= .updateValue islands

#Minimum Health Set to 0
    execute if score .yellowBase islands matches ..-2 run scoreboard players set .yellowBase islands 0
    execute if score .yellowTower islands matches ..-2 run scoreboard players set .yellowTower islands 0
    execute if score .yellowVan islands matches ..-2 run scoreboard players set .yellowVan islands 0
    execute if score .limeBase islands matches ..-2 run scoreboard players set .limeBase islands 0
    execute if score .limeTower islands matches ..-2 run scoreboard players set .limeTower islands 0
    execute if score .limeVan islands matches ..-2 run scoreboard players set .limeVan islands 0

#Calculate Total Health
    scoreboard players set .lime islands 0
    scoreboard players operation .lime islands += .limeVan islands
    scoreboard players operation .lime islands += .limeBase islands
    scoreboard players operation .lime islands += .limeTower islands
    scoreboard players set .yellow islands 0
    scoreboard players operation .yellow islands += .yellowVan islands
    scoreboard players operation .yellow islands += .yellowBase islands
    scoreboard players operation .yellow islands += .yellowTower islands

#Base Take Fire Voicelines
    #Lime Team
        execute if score .limeVL islands matches 0 if score .lime islands matches 20001..30000 run scoreboard players add .limeVL islands 1
        execute if score .limeVL islands matches 1 if score .lime islands matches 10001..20000 run scoreboard players add .limeVL islands 1
        execute if score .limeVL islands matches 2 if score .lime islands matches 1..10000 run scoreboard players add .limeVL islands 1
    
    #Yellow Team
        execute if score .yellowVL islands matches 0 if score .yellow islands matches 20001..30000 run scoreboard players add .yellowVL islands 1
        execute if score .yellowVL islands matches 1 if score .yellow islands matches 10001..20000 run scoreboard players add .yellowVL islands 1
        execute if score .yellowVL islands matches 2 if score .yellow islands matches 1..10000 run scoreboard players add .yellowVL islands 1

#Bases
    #Lime's Base
        #Base 138 108 8
            execute if score .limeBase islands matches 10001..20000 if score .limeBaseS islands matches -1 run function winged:game/islands/place/lime/base0
            execute if score .limeBase islands matches 1..10000 if score .limeBaseS islands matches 0 run function winged:game/islands/place/lime/base1
            execute if score .limeBase islands matches 0 if score .limeBaseS islands matches 1 run function winged:game/islands/place/lime/base2
            execute if score .limeBase islands matches 0 run scoreboard players remove .limeBase islands 1001
        #Van 141 108 -5
            execute if score .limeVan islands matches 5000..10000 if score .limeVanS islands matches -1 run function winged:game/islands/place/lime/van0
            execute if score .limeVan islands matches 1..5000 if score .limeVanS islands matches 0 run function winged:game/islands/place/lime/van1
            execute if score .limeVan islands matches 0 if score .limeVanS islands matches 1 run function winged:game/islands/place/lime/van2
            execute if score .limeVan islands matches 0 run scoreboard players remove .limeVan islands 1001
        #Tower 175 109 18
            execute if score .limeTower islands matches 10001..20000 if score .limeTowerS islands matches -1 run function winged:game/islands/place/lime/tower0
            execute if score .limeTower islands matches 1..10000 if score .limeTowerS islands matches 0 run function winged:game/islands/place/lime/tower1
            execute if score .limeTower islands matches 0 if score .limeTowerS islands matches 1 run function winged:game/islands/place/lime/tower2
            execute if score .limeTower islands matches 0 run scoreboard players remove .limeTower islands 1001

            
            




    #Yellow's Base
        #Base -179 108 -21
            execute if score .yellowBase islands matches 10001..20000 if score .yellowBaseS islands matches -1 run function winged:game/islands/place/yellow/base0
            execute if score .yellowBase islands matches 1..10000 if score .yellowBaseS islands matches 0 run function winged:game/islands/place/yellow/base1
            execute if score .yellowBase islands matches 0 if score .yellowBaseS islands matches 1 run function winged:game/islands/place/yellow/base2
            execute if score .yellowBase islands matches 0 run scoreboard players remove .yellowBase islands 1001
        #Van -156 108 7
            execute if score .yellowVan islands matches 5000..10000 if score .yellowVanS islands matches -1 run function winged:game/islands/place/yellow/van0
            execute if score .yellowVan islands matches 1..5000 if score .yellowVanS islands matches 0 run function winged:game/islands/place/yellow/van1
            execute if score .yellowVan islands matches 0 if score .yellowVanS islands matches 1 run function winged:game/islands/place/yellow/van2
            execute if score .yellowVan islands matches 0 run scoreboard players remove .yellowVan islands 1001
        #Tower -188 109 -19
            execute if score .yellowTower islands matches 10001..20000 if score .yellowTowerS islands matches -1 run function winged:game/islands/place/yellow/tower0
            execute if score .yellowTower islands matches 1..10000 if score .yellowTowerS islands matches 0 run function winged:game/islands/place/yellow/tower1
            execute if score .yellowTower islands matches 0 if score .yellowTowerS islands matches 1 run function winged:game/islands/place/yellow/tower2
            execute if score .yellowTower islands matches 0 run scoreboard players remove .yellowTower islands 1001

#Debug
    #Drill 0
        # execute if score .drill0cap islands matches 0 run tellraw @a [{"text":"Drill 0","color":"gold"},{"text":" is not captured","color":"gray"}]
        # execute if score .drill0cap islands matches 1 run tellraw @a [{"text":"Drill 0","color":"gold"},{"text":" is captured by ","color":"gray"},{"text":"Lime","color":"green"}]
        # execute if score .drill0cap islands matches 2 run tellraw @a [{"text":"Drill 0","color":"gold"},{"text":" is captured by ","color":"gray"},{"text":"Yellow","color":"gold"}]

    #Drill 1
        # execute if score .drill1cap islands matches 0 run tellraw @a [{"text":"Drill 1","color":"gold"},{"text":" is not captured","color":"gray"}]
        # execute if score .drill1cap islands matches 1 run tellraw @a [{"text":"Drill 1","color":"gold"},{"text":" is captured by ","color":"gray"},{"text":"Lime","color":"green"}]
        # execute if score .drill1cap islands matches 2 run tellraw @a [{"text":"Drill 1","color":"gold"},{"text":" is captured by ","color":"gray"},{"text":"Yellow","color":"gold"}]


scoreboard players set .updateID islands -1
scoreboard players set .updateValue islands 0