#RUN WASD CHECK

execute if predicate wasd:is_mounted run function wasd:mounted

#PRESSING WASD

execute if score .disableWASD settings matches 0 if score .w wasd matches 1 as @e[type=armor_stand,tag=aircraft,limit=1,sort=nearest,predicate=winged:if_aircraft_has_driver] at @s run function winged:aircrafts/mechanics/aircrafts/gas
execute if score .disableWASD settings matches 0 if score .s wasd matches 1 as @e[type=armor_stand,tag=aircraft,limit=1,sort=nearest,predicate=winged:if_aircraft_has_driver] at @s run function winged:aircrafts/mechanics/aircrafts/brake
execute if score .disableWASD settings matches 0 if score .a wasd matches 1 as @e[type=armor_stand,tag=aircraft,limit=1,sort=nearest,predicate=winged:if_aircraft_has_driver] at @s run function winged:aircrafts/mechanics/aircrafts/roll_left
execute if score .disableWASD settings matches 0 if score .d wasd matches 1 as @e[type=armor_stand,tag=aircraft,limit=1,sort=nearest,predicate=winged:if_aircraft_has_driver] at @s run function winged:aircrafts/mechanics/aircrafts/roll_right

#EFFECTS IN AIRCRAFT

effect give @s invisibility 1 0 true

#MUSIC ADDS UP TO 5 IF IN AIRCRAFT

execute if score @s music.track matches 0..2 run scoreboard players set @s music.repetitions 5

#ITEM

scoreboard players add @s q_title 1
scoreboard players set @s[scores={q_title=2..}] q_title 0

execute as @e[type=armor_stand,tag=aircraft,limit=1,sort=nearest,predicate=winged:if_aircraft_has_driver] run function winged:game/get_cooldown
execute if score @s cooldown matches 0 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE100","italic":false}'}} 1
execute if score @s cooldown matches 0 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE100\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 1 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE109","italic":false}'}} 1
execute if score @s cooldown matches 1 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE109\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 2 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE108","italic":false}'}} 1
execute if score @s cooldown matches 2 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE108\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 3 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE107","italic":false}'}} 1
execute if score @s cooldown matches 3 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE107\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 4 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE106","italic":false}'}} 1
execute if score @s cooldown matches 4 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE106\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 5 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE105","italic":false}'}} 1
execute if score @s cooldown matches 5 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE105\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 6 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE104","italic":false}'}} 1
execute if score @s cooldown matches 6 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE104\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 7 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE103","italic":false}'}} 1
execute if score @s cooldown matches 7 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE103\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 8 run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE102","italic":false}'}} 1
execute if score @s cooldown matches 8 run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE102\\uE003","italic":false}'}} 1
execute if score @s cooldown matches 9.. run item replace entity @s[scores={q_title=0}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE101","italic":false}'}} 1
execute if score @s cooldown matches 9.. run item replace entity @s[scores={q_title=1}] weapon.mainhand with ender_eye{display:{Name:'{"text":"\\uE003\\uE101\\uE003","italic":false}'}} 1

item replace entity @s hotbar.0 from entity @s weapon.mainhand
item replace entity @s hotbar.1 from entity @s weapon.mainhand
item replace entity @s hotbar.2 from entity @s weapon.mainhand
item replace entity @s hotbar.3 from entity @s weapon.mainhand
item replace entity @s hotbar.4 from entity @s weapon.mainhand
item replace entity @s hotbar.5 from entity @s weapon.mainhand
item replace entity @s hotbar.6 from entity @s weapon.mainhand
item replace entity @s hotbar.7 from entity @s weapon.mainhand
item replace entity @s hotbar.8 from entity @s weapon.mainhand


clear @a[scores={eyeCount=10..},predicate=winged:if_in_aircraft] ender_eye